Index: palm/trunk/DOC/app/chapter_3.5.4.html
===================================================================
--- palm/trunk/DOC/app/chapter_3.5.4.html	(revision 342)
+++ palm/trunk/DOC/app/chapter_3.5.4.html	(revision 343)
@@ -275,5 +275,25 @@
 ENDIF</span><br style="font-family: monospace;"><br style="font-family: monospace;"><span style="font-family: monospace;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 grid = 'zu'</span><br>&nbsp;<br>The <span style="font-family: monospace;">ELSE</span> case is
-only needed in case that output of time-averaged data is requested.<br><br><br></li><li>For
+only needed in case that output of time-averaged data is requested.<br><br>
+As a special case, xy cross section output can also be defined at one single level at height <span style="font-family: monospace;">k=nzb+1</span> on the u-grid. This features is useful for output of surface data (e.g. heat fluxes). In this case, the corresponding 2d data has to be resorted to the array <span style="font-family: monospace;">local_pf(i,j,nzb+1).</span> In addition to this, the grid in <a href="chapter_3.5.1.html#user_define_netcdf_grid"><span style="font-family: monospace;">user_define_netcdf_grid</span></a> as well as in <a href="chapter_3.5.1.html#user_data_output_2d"><span style="font-family: monospace;">user_data_output_2d</span></a> must be set to <span style="font-family: monospace;">grid = 'zu1'</span>.<br><br>
+<span style="font-family: monospace;">&nbsp;&nbsp;&nbsp;&nbsp;CASE
+( 'u2_xy' )</span><br style="font-family: monospace;"><span style="font-family: monospace;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+IF ( av == 0 )&nbsp; THEN</span><br style="font-family: monospace;"><span style="font-family: monospace;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+DO&nbsp; i = nxl-1, nxr+1</span><br style="font-family: monospace;"><span style="font-family: monospace;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+DO&nbsp; j = nys-1, nyn+1</span><br style="font-family: monospace;"><span style="font-family: monospace;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+local_pf(i,j,nzb+1) = u2(j,i)</span><br style="font-family: monospace;"><span style="font-family: monospace;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+ENDDO</span><br style="font-family: monospace;"><span style="font-family: monospace;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+ENDDO</span><br style="font-family: monospace;"><span style="font-family: monospace;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+ELSE</span><br style="font-family: monospace;"><span style="font-family: monospace;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+DO&nbsp; i = nxl-1, nxr+1</span><br style="font-family: monospace;"><span style="font-family: monospace;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+DO&nbsp; j = nys-1, nyn+1</span><br style="font-family: monospace;"><span style="font-family: monospace;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+local_pf(i,j,nzb+1) = u2_av(j,i)</span><br style="font-family: monospace;"><span style="font-family: monospace;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+ENDDO</span><br style="font-family: monospace;"><span style="font-family: monospace;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+ENDDO</span><br style="font-family: monospace;"><span style="font-family: monospace;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+ENDIF</span><br style="font-family: monospace;"><br style="font-family: monospace;"><span style="font-family: monospace;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+grid = 'zu1'</span><br><span style="font-family: monospace;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+two_d = .TRUE.</span><br><br>
+Note that <span style="font-family: monospace;">two_d = .TRUE.</span> is necessary for output of a 2d data slice.<br><br>
+<br></li><li>For
 output of 3d volume data, the gridpoint data of the quantity has to be
 resorted to array <span style="font-family: monospace;">local_pf</span>
Index: palm/trunk/SCRIPTS/.mrun.config.imuk
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.imuk	(revision 342)
+++ palm/trunk/SCRIPTS/.mrun.config.imuk	(revision 343)
@@ -21,23 +21,7 @@
 %host_identifier   b01*        lcsgib
 %host_identifier   gallego     lcmuk
-%host_identifier   cs*         nech
-%host_identifier   hreg*-en0   ibmh
-%host_identifier   hanni*-en0  ibmh
-%host_identifier   breg*-en0   ibmb
-%host_identifier   berni*-en0  ibmb
-%host_identifier   tgg*        lctit
-#
-# The following blocks contain all information for compiling the PALM code
-# and for generating and running the PALM executable using MPI. Replace all
-# required paths (given in <>) by the respective paths valid on your host.
-# Please adjust compilernames, cpp-options, compiler-options etc. 
-# appropriately for your own system(s), and please delete or comment out
-# blocks for unused systems.
-#
-# The following 'lcmuk parallel' block assumes PALM compilation and execution
-# on host gallego. Please note that other hosts within the IMUK linux cluster,
-# e.g. maestro or bora, may have require different settings.
-#
-#%remote_username   <replace by your linux cluster username>     lcmuk parallel
+%host_identifier   nid00*      lcxt4
+#
+%remote_username   maronga     lcmuk parallel
 %tmp_user_catalog  /tmp                                          lcmuk parallel
 %compiler_name     mpif90                                        lcmuk parallel
@@ -50,5 +34,5 @@
 #%hostfile          $base_directory/.hostfile                    lcmuk parallel
 #
-#%remote_username  <replace by your linux cluster username>      lcmuk
+#%remote_username  maronga      lcmuk
 %tmp_user_catalog  /tmp                                          lcmuk
 %compiler_name     ifort                                         lcmuk
@@ -59,5 +43,5 @@
 %lopts             -axW:-cpp:-r8:-nbs:-Vaxlib                    lcmuk
 #
-#%remote_username  <replace by your linux cluster username>      lcmuk trace
+%remote_username  maronga                                        lcmuk trace
 %tmp_user_catalog  /tmp                                          lcmuk trace
 %compiler_name     ifort                                         lcmuk trace
@@ -69,5 +53,5 @@
 #
 %sgi_feature       ice                                        lcsgih parallel
-#%remote_username  <replace by your HLRN username>            lcsgih parallel
+%remote_username   nikmaron                                   lcsgih parallel
 %compiler_name     mpif90                                     lcsgih parallel
 %compiler_name_ser ifort                                      lcsgih parallel
@@ -78,10 +62,10 @@
 %fopts             -g:-w:-xT:-O3:-cpp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian  lcsgih parallel
 %lopts             -g:-w:-xT:-O3:-cpp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib   lcsgih parallel
-#%tmp_data_catalog  /gfs1/work/<replace by your HLRN username>/palm_restart_data      lcsgih parallel
-#%tmp_user_catalog  /gfs1/tmp/<replace by your HLRN username>                         lcsgih parallel
+#%tmp_data_catalog  /gfs1/work/nikmaron/palm_restart_data                             lcsgih parallel
+#%tmp_user_catalog  /gfs1/tmp/nikmaron                                                lcsgih parallel
 #
 %sgi_feature       ice                                        lcsgih parallel debug
+%remote_username   nikmaron                                   lcsgih parallel debug
 %totalview         true                                       lcsgih parallel debug
-#%remote_username  <replace by your HLRN username>            lcsgih parallel debug
 %compiler_name     mpif90                                     lcsgih parallel debug
 %compiler_name_ser ifort                                      lcsgih parallel debug
@@ -92,115 +76,50 @@
 %fopts             -C:-fpe0:-debug:-traceback:-g:-w:-xT:-O0:-cpp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian  lcsgih parallel debug
 %lopts             -C:-fpe0:-debug:-traceback:-g:-w:-xT:-O0:-cpp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib           lcsgih parallel debug
-#%tmp_data_catalog  /gfs1/work/<replace by your HLRN username>/palm_restart_data      lcsgih parallel debug
-#%tmp_user_catalog  /gfs1/tmp/<replace by your HLRN username>                         lcsgih parallel debug
-#
-#%remote_username   <replace by your tsubame username>              lctit parallel 
-#%tmp_user_catalog  /work/<replace by your tsubame username>                    lctit parallel
-#%tmp_data_catalog  /work/<replace by your tsubame username>/palm_restart_data  lctit parallel
-%cpp_options       -Mpreprocess:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf  lctit parallel
-%netcdf_inc        -I:/home2/usr5/mkanda/netcdf-3.6.2/include      lctit parallel
-%netcdf_lib        -L/home2/usr5/mkanda/netcdf-3.6.2/lib:-lnetcdf  lctit parallel
-%compiler_name_ser pgf95                                           lctit parallel
-%compiler_name     mpif90                                          lctit parallel
-%fopts             -r8:-fast:-fastsse                              lctit parallel
-%lopts             -r8:-fast:-fastsse                              lctit parallel
-#
-#%remote_username   <replace by your HLRN username>           ibmh parallel
-%compiler_name     mpxlf95_r                                  ibmh parallel
-%compiler_name_ser xlf95                                      ibmh parallel
-%cpp_options       -qsuffix=cpp=f90:-WF,-DMPI_REAL=MPI_DOUBLE_PRECISION,-D__netcdf=__netcdf,-D__netcdf_64bit=__netcdf_64bit  ibmh parallel
-%dvrp_inc          -I/home/h/nikevita/lib_stable/optimize     ibmh parallel
-%dvrp_lib          -L/home/h/nikevita/lib_stable/optimize:-lDVRP2:-lftp  ibmh parallel
-%netcdf_inc        -I:/aws/dataformats/netcdf-3.6.0-p1/64-32/include-64 ibmh parallel
-%netcdf_lib        -L/aws/dataformats/netcdf-3.6.0-p1/64-32/lib:-lnetcdf        ibmh parallel
-%fopts             -O3:-g:-qfloat=nomaf:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qtune=pwr4:-qarch=pwr4:-qnosave:-qnoescape    ibmh parallel
-%lopts             -O3:-g:-qfloat=nomaf:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qtune=pwr4:-qarch=pwr4:-qnosave:-qnoescape:-lesslsmp   ibmh parallel
-%memory            1630                                       ibmh parallel
-%cpumax            1000                                       ibmh parallel
-%numprocs          4                                          ibmh parallel
-#%tmp_data_catalog  /fastfs/work/<replace by your HLRN username>/palm_restart_data    ibmh parallel
-#%email_notification  <replace by your email addres>          ibmh parallel
-#
-#%remote_username   <replace by your HLRN username>           ibmh parallel debug
-%compiler_name     mpxlf95_r                                  ibmh parallel debug
-%compiler_name_ser xlf95                                      ibmh parallel debug
-%cpp_options       -qsuffix=cpp=f90:-WF,-DMPI_REAL=MPI_DOUBLE_PRECISION,-D__netcdf=__netcdf,-D__netcdf_64bit=__netcdf_64bit  ibmh parallel debug
-%netcdf_inc        -I:/aws/dataformats/netcdf-3.6.0-p1/64-32/include-64 ibmh parallel debug
-%netcdf_lib        -L/aws/dataformats/netcdf-3.6.0-p1/64-32/lib:-lnetcdf        ibmh parallel debug
-%fopts             -qnoopt:-g:-C:-qinitauto=FFFFFFFF:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qnosave:-qnoescape:-qflttrap=overflow::zerodivide::invalid::enable:-qsigtrap    ibmh parallel debug
-%lopts             -qnoopt:-g:-C:-qinitauto=FFFFFFFF:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qnosave:-qnoescape:-qflttrap=overflow::zerodivide::invalid::enable:-qsigtrap:-lesslsmp  ibmh parallel debug
-%memory            1000                                       ibmh parallel debug
-%cpumax            1000                                       ibmh parallel debug
-%numprocs          4                                          ibmh parallel debug
-#%tmp_data_catalog  /fastfs/work/<replace by your HLRN username>/palm_restart_data    ibmh parallel debug
-#
-#%remote_username   <replace by your HLRN username>           ibmb parallel
-%compiler_name     mpxlf95_r                                  ibmb parallel
-%compiler_name_ser xlf95                                      ibmb parallel
-%cpp_options       -qsuffix=cpp=f90:-WF,-DMPI_REAL=MPI_DOUBLE_PRECISION,-D__netcdf=__netcdf,-D__netcdf_64bit=__netcdf_64bit  ibmb parallel
-%netcdf_inc        -I:/aws/dataformats/netcdf-3.6.0-p1/64-32/include-64 ibmb parallel
-%netcdf_lib        -L/aws/dataformats/netcdf-3.6.0-p1/64-32/lib:-lnetcdf        ibmb parallel
-%fopts             -O3:-g:-qfloat=nomaf:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qtune=pwr4:-qarch=pwr4:-qnosave:-qnoescape    ibmb parallel
-%lopts             -O3:-g:-qfloat=nomaf:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qtune=pwr4:-qarch=pwr4:-qnosave:-qnoescape:-lesslsmp  ibmb parallel
-%memory            1630                                       ibmb parallel
-%cpumax            1000                                       ibmb parallel
-%numprocs          4                                          ibmb parallel
-#%tmp_data_catalog  /fastfs/work/<replace by your HLRN username>/palm_restart_data    ibmb parallel
-#
-#%remote_username   <replace by your DKRZ username>           nech parallel
-%compiler_name     sxmpif90                                   nech parallel
-%compiler_name_ser sxf90                                      nech parallel
-%cpp_options       -Ep:-DMPI_REAL=MPI_REAL8:-DMPI_2REAL=MPI_2REAL8:-DSCFFT=DZFFT:-DCSFFT=ZDFFT:-D__netcdf:-D__netcdf_64bit  nech parallel
-%netcdf_inc        -I:/pool/SX-6/netcdf/netcdf-3.6.0-p1/include  nech parallel
-%netcdf_lib        -L/pool/SX-6/netcdf/netcdf-3.6.0-p1/lib:-lnetcdf  nech parallel
-%fopts             -C:hopt:-Wf:\'-init:stack=nan:-init:heap=nan:-A:idbl4:-pvctl:fullmsg\':-ftrace:-P:stack:-pi:auto:-pi:line=1000  nech parallel
-%lopts             -C:hopt:-Wf:\'-init:stack=nan:-init:heap=nan:-A:idbl4\':-ftrace:-P:stack:-pi:auto:-pi:line=1000:-L/SX/opt/MathKeisan/MK1_6/lib/:-l:fft  nech parallel
-%memory            4000                                       nech parallel
-%cpumax            1000                                       nech parallel
-%numprocs          4                                          nech parallel
-%tmp_data_catalog  $WRKSHR/palm_restart_data                  nech parallel
-#%email_notification  <replace by your email addres>          nech parallel
-#
-#%remote_username   <replace by your NEC-username>             neck parallel
-%compiler_name     sxmpif90                                   neck parallel
-%compiler_name_ser sxf90                                      neck parallel
-%cpp_options       -Ep:-DMPI_REAL=MPI_REAL8:-DMPI_2REAL=MPI_2REAL8:-DSCFFT=DZFFT:-DCSFFT=ZDFFT:-D__netcdf:-D__netcdf_64bit  neck parallel
-%netcdf_inc        -I:/home/DSRC/NC/tatuyama/pub/netcdf-3.6.0-p1/include  neck parallel
-%netcdf_lib        -L/home/DSRC/NC/tatuyama/pub/netcdf-3.6.0-p1/lib:-lnetcdf  neck parallel
-%dvrp_inc          -I/home/DSRC/NC/tatuyama/pub/dvrp          neck parallel
-%dvrp_lib          -L/home/DSRC/NC/tatuyama/pub/dvrp:-lDVRP2:-lftp  neck parallel
-%fopts             -C:hopt:-Wf:\'-init:stack=nan:-init:heap=nan:-A:idbl4:-pvctl:fullmsg\':-ftrace:-P:stack:-pi:auto:-pi:line=1000  neck parallel
-%lopts             -C:hopt:-Wf:\'-init:stack=nan:-init:heap=nan:-A:idbl4\':-ftrace:-P:stack:-pi:auto:-pi:line=1000:-L/SX/opt/MathKeisan/MK1_6/lib/:-l:fft  neck parallel
-%memory            4000                                       neck parallel
-%cpumax            1000                                       neck parallel
-%numprocs          4                                          neck parallel
-#%tmp_user_catalog  <replace by your temporary directory>     neck parallel
-#%tmp_data_catalog  <replace by your temp. dir.>/palm_restart_data   neck parallel
-#
-%source_path       $base_directory/SOURCE                     ibmy parallel
-%compiler_name     mpxlf95_r                                  ibmy parallel
-%compiler_name_ser xlf95                                      ibmy parallel
-%fopts             -O3:-g:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qtune=pwr4:-qarch=pwr4:-qnosave:-qnoescape    ibmy parallel
-%lopts             -O3:-g:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qtune=pwr4:-qarch=pwr4:-qnosave:-qnoescape    ibmy parallel
-%memory            1000                                       ibmy parallel
-%cpumax            1000                                       ibmy parallel
-%numprocs          4                                          ibmy parallel
-%remote_username   raasch                                     ibmy parallel
-%tmp_data_catalog  /usr1/users/raasch/work                    ibmy parallel
-%tmp_user_catalog  /usr1/users/raasch/work                    ibmy parallel
-%email_notification  raasch@muk.uni-hannover.de               ibmy parallel
-#
-%compiler_name     mpxlf95_r                                  ibmy parallel trace
-%compiler_name_ser xlf95                                      ibmy parallel trace
-%cpp_options       -Ep:-DMPI_REAL=MPI_REAL8:-DMPI_2REAL=MPI_2REAL8:-DSCFFT=DZFFT:-DCSFFT=ZDFFT:-D__netcdf:-D__netcdf_64bit  nech parallel
-%fopts             -qnoopt:-g:-C:-qinitauto=FFFFFFFF:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qnosave:-qnoescape:-qflttrap=overflow::zerodivide::invalid::enable:-qsigtrap  ibmy parallel trace
-%lopts             -qnoopt:-g:-C:-qinitauto=FFFFFFFF:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qnosave:-qnoescape:-qflttrap=overflow::zerodivide::invalid::enable:-qsigtrap  ibmy parallel trace
-%memory            1000                                       ibmy parallel trace
-%cpumax            1000                                       ibmy parallel trace
-%numprocs          4                                          ibmy parallel trace
-%remote_username   raasch                                     ibmy parallel trace
-%tmp_data_catalog  /usr1/users/raasch/work                    ibmy parallel trace
-%tmp_user_catalog  /usr1/users/raasch/work                    ibmy parallel trace
-%email_notification  raasch@muk.uni-hannover.de               ibmy parallel trace
+#%tmp_data_catalog  /gfs1/work/nikmaron/palm_restart_data      lcsgih parallel debug
+#%tmp_user_catalog  /gfs1/tmp/nikmaron                         lcsgih parallel debug
+#
+%sgi_feature       ice                                        lcsgib parallel
+%remote_username   nikmaron                                   lcsgib parallel
+%compiler_name     mpif90                                     lcsgib parallel
+%compiler_name_ser ifort                                      lcsgib parallel
+%mpilib            mvapich2/1.2.0-intel                       lcsgib parallel
+%cpp_options       -DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf_64bit   lcsgib parallel
+%netcdf_inc        -I:/sw/dataformats/netcdf/3.6.2/include    lcsgib parallel
+%netcdf_lib        -L/sw/dataformats/netcdf/3.6.2/lib:-lnetcdf:-lnetcdff      lcsgib parallel
+
+%fopts             -g:-w:-xT:-O3:-cpp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian  lcsgib parallel
+%lopts             -g:-w:-xT:-O3:-cpp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib   lcsgib parallel
+#%tmp_data_catalog  /gfs1/work/nikmaron/palm_restart_data                             lcsgib parallel
+#%tmp_user_catalog  /gfs1/tmp/nikmaron                                                lcsgib parallel
+#
+%sgi_feature       ice                                        lcsgib parallel debug
+%remote_username   nikmaron                                   lcsgib parallel debug
+%compiler_name     mpif90                                     lcsgib parallel debug
+%compiler_name_ser ifort                                      lcsgib parallel debug
+%mpilib            mvapich2/1.2.0-intel                       lcsgib parallel debug
+%cpp_options       -DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf_64bit   lcsgib parallel debug
+%netcdf_inc        -I:/sw/dataformats/netcdf/3.6.2/include    lcsgib parallel debug
+%netcdf_lib        -L/sw/dataformats/netcdf/3.6.2/lib:-lnetcdf:-lnetcdff      lcsgib parallel debug
+%fopts             -C:-fpe0:-debug:-traceback:-g:-w:-xT:-O0:-cpp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian  lcsgib parallel debug
+%lopts             -C:-fpe0:-debug:-traceback:-g:-w:-xT:-O0:-cpp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib           lcsgib parallel debug
+#%tmp_data_catalog  /gfs1/work/nikmaron/palm_restart_data      lcsgib parallel debug
+#%tmp_user_catalog  /gfs1/tmp/nikmaron                         lcsgib parallel debug
+
+#
+%remote_username     bjornm         lcxt4 parallel
+%tmp_user_catalog    /work/bjornm   lcxt4 parallel
+%tmp_data_catalog    /work/bjornm/PALM_RESTART_DATA  lcxt4 parallel
+#%job_catalog         /work/bjornm/job_queue lcxt4 parallel
+%compiler_name       ftn           lcxt4 parallel
+%compiler_name_ser   ftn           lcxt4 parallel
+%cpp_options        -DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__intel_openmp_bug   lcxt4 parallel
+%netcdf_inc         -I/work/apps/netcdf-3.6.2-cnl-pgi/include      lcxt4 parallel
+%netcdf_lib         -L/work/apps/netcdf-3.6.2-cnl-pgi/lib:-lnetcdf lcxt4 parallel
+%fopts              -fastsse:-Mpreprocess:-r8:-Mnobackslash        lcxt4 parallel
+%lopts              -fastsse:-Mpreprocess:-r8:-Mnobackslash        lcxt4 parallel
+#%fopts              -Mbounds:-fastsse:-Mpreprocess:-r8:-Mnobackslash        lcxt4 parallel
+#%lopts              -Mbounds:-fastsse:-Mpreprocess:-r8:-Mnobackslash        lcxt4 parallel
+
+%email_notification  maronga@muk.uni-hannover.de                 lcxt4 parallel
 #
 %write_binary                true                             restart
@@ -264,4 +183,5 @@
 #
 DATA_1D_PR_NETCDF    out:loc:tr   pr#:prf   $base_data/$fname/OUTPUT  _pr     nc
+#DATA_1D_PR_NETCDF    out:loc      pr#:prf   $base_data/$fname/OUTPUT  _pr     nc
 DATA_1D_SP_NETCDF    out:loc:tr   sp#:spf   $base_data/$fname/OUTPUT  _sp     nc
 DATA_1D_TS_NETCDF    out:loc:tr   ts#:tsf   $base_data/$fname/OUTPUT  _ts     nc
Index: palm/trunk/SCRIPTS/mrun
===================================================================
--- palm/trunk/SCRIPTS/mrun	(revision 342)
+++ palm/trunk/SCRIPTS/mrun	(revision 343)
@@ -181,5 +181,6 @@
      # 16/04/09 - Siggi  - new option -y for precursor (uncoupled) ocean runs
      #                     to be followed by a coupled atmosphere-ocean run
-     # 21/04/09 - Siggi - adjustments for new IBM at DKRZ, which is now ibmh
+     # 21/04/09 - Siggi  - adjustments for new IBM at DKRZ, which is now ibmh
+     # 24/06/09 - BjornM - adjustments for coupled/precursor runs on ibmy
 
  
@@ -2956,5 +2957,4 @@
        if [[ -n $numprocs ]]
        then
-
              # RUNNING THE PROGRAM ON PARALLEL MACHINES
           if [[ $(echo $host | cut -c1-3) = ibm ]]
@@ -2976,5 +2976,4 @@
                 [[ $node_usage = not_shared ]]  &&  export MP_SINGLE_THREAD=yes
              fi
-
              if [[ "$LOADLBATCH" = yes ]]
              then
@@ -2984,5 +2983,21 @@
                    /opt/optibm/HPM_2_4_1/bin/hpmcount  a.out  $ROPTS
                 else
-                   poe ./a.out  $ROPTS
+                   if [[ $run_coupled_model = false ]]
+                   then
+                      if [[ "$ocean_file_appendix" = true ]]
+                      then
+                         echo "precursor_ocean"  >  runfile_atmos
+                      else
+                         echo "precursor_atmos"  >  runfile_atmos
+                      fi
+                   else
+                      (( iia = $numprocs_atmos / $threads_per_task ))
+                      (( iio = $numprocs_ocean / $threads_per_task ))
+                      printf "\n      coupled run ($iia atmosphere, $iio ocean)"
+                      printf "\n      using $coupled_mode coupling"
+                      printf "\n\n"
+                      echo "coupled_run $iia $iio"  >  runfile_atmos
+                   fi
+                   poe ./a.out  $ROPTS  <  runfile_atmos
                 fi
              else
@@ -3004,5 +3019,4 @@
                    fi
                    export MP_HOSTFILE=hostfile
-
                    if [[ $run_coupled_model = false ]]
                    then
@@ -3021,5 +3035,4 @@
                       echo "coupled_run $iia $iio"  >  runfile_atmos
                    fi
-
                    ./a.out  -procs $tasks_per_node  $ROPTS  <  runfile_atmos
 
Index: palm/trunk/SCRIPTS/subjob
===================================================================
--- palm/trunk/SCRIPTS/subjob	(revision 342)
+++ palm/trunk/SCRIPTS/subjob	(revision 343)
@@ -99,5 +99,5 @@
      # 21/04/09 - Siggi - adjustments for new IBM at DKRZ, which is now ibmh
      # 18/05/09 - Siggi - Settings for serial jobs on lcsgi changed
-
+     # 24/06/09 - BjornM- adjustments for lcxt4 (loading modules manually)
 
 
@@ -676,5 +676,5 @@
 #PBS -l pmem=${memory}mb
 #PBS -m abe
-#PBS -M bjorn.maronga@student.uib.no
+#PBS -M maronga@muk.uni-hannover.de
 #PBS -o $remote_dayfile
 #PBS -j oe
@@ -692,5 +692,5 @@
 #PBS -l pmem=${memory}mb
 #PBS -m abe
-#PBS -M bjorn.maronga@student.uib.no
+#PBS -M maronga@muk.uni-hannover.de
 #PBS -o $remote_dayfile
 #PBS -j oe
@@ -761,6 +761,13 @@
 #PBS -l mppnppn=${tasks_per_node}
 #PBS -m abe
-#PBS -M bjorn.maronga@student.uib.no
+#PBS -M maronga@muk.uni-hannover.de
 #PBS -o $remote_dayfile
+
+. /opt/modules/default/init/ksh
+module load modules/3.1.6
+module load PrgEnv-pgi/2.1.56HD
+module load Base-opts/2.1.56HD
+module load moab/5.2.5-s13441
+module load torque/2.3.4-snap.200809221601
 
 %%END%%
@@ -777,6 +784,13 @@
 #PBS -l pmem=${memory}mb
 #PBS -m abe
-#PBS -M bjorn.maronga@student.uib.no
+#PBS -M maronga@muk.uni-hannover.de
 #PBS -o $remote_dayfile
+
+. /opt/modules/default/init/ksh
+module load modules/3.1.6
+module load PrgEnv-pgi/2.1.56HD
+module load Base-opts/2.1.56HD
+module load moab/5.2.5-s13441
+module load torque/2.3.4-snap.200809221601
 
 %%END%%
Index: palm/trunk/SOURCE/CURRENT_MODIFICATIONS
===================================================================
--- palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 342)
+++ palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 343)
@@ -37,5 +37,8 @@
 write_var_list)
 
-check_for_restart, check_parameters, data_output_2d, data_output_3d, data_output_dvrp, data_output_profiles, data_output_ptseries, data_output_spectra, data_output_tseries, init_coupling, init_dvrp, init_grid, init_3d_model, header, modules, mrun, package_parin, parin, prognostic_equations, read_var_list, surface_coupler, timestep, time_integration, user_check_parameters, user_data_output_dvrp, user_header, user_init_grid, write_var_list
+Option for user defined 2D data output in xy cross sections at z=nzb+1
+(data_output_2d, user_data_output_2d)
+
+check_for_restart, check_parameters, data_output_2d, data_output_3d, data_output_dvrp, data_output_profiles, data_output_ptseries, data_output_spectra, data_output_tseries, init_coupling, init_dvrp, init_grid, init_3d_model, header, modules, mrun, package_parin, parin, prognostic_equations, read_var_list, surface_coupler, timestep, time_integration, user_check_parameters, user_data_output_2d, user_data_output_dvrp, user_header, user_init_grid, write_var_list
 
 New: set_particle_attributes, set_slicer_attributes_dvrp
@@ -91,5 +94,8 @@
 Default value of grid_matching changed to strict.
 
-advec_particles, advec_s_bc, buoyancy, calc_spectra, check_for_restart, check_open, check_parameters, close_file, coriolis, cpu_log, data_output_2d, data_output_3d, data_output_dvrp, data_output_profiles, data_output_ptseries, data_output_spectra, data_output_tseries, eqn_state_seawater, fft_xy, flow_statistics, header, init_1d_model, init_3d_model, init_dvrp, init_grid, init_particles, init_pegrid, message, netcdf, output_particles_netcdf, package_parin, parin, plant_canopy_model, poisfft_hybrid, poismg, read_3d_binary, read_var_list, sort_particles, user_check_parameters, user_header, user_init_grid, user_parin, surface_coupler, temperton_fft, timestep, user_actions, user_data_output_dvrp, user_dvrp_coltab, user_init_grid, user_init_plant_canopy, user_parin, user_read_restart_data, user_spectra, write_var_list
+Adjustments for runs on lcxt4 (necessary due to an software update on CRAY) and 
+for coupled runs on ibmy (mrun, subjob)
+
+advec_particles, advec_s_bc, buoyancy, calc_spectra, check_for_restart, check_open, check_parameters, close_file, coriolis, cpu_log, data_output_2d, data_output_3d, data_output_dvrp, data_output_profiles, data_output_ptseries, data_output_spectra, data_output_tseries, eqn_state_seawater, fft_xy, flow_statistics, header, init_1d_model, init_3d_model, init_dvrp, init_grid, init_particles, init_pegrid, message, mrun, netcdf, output_particles_netcdf, package_parin, parin, plant_canopy_model, poisfft_hybrid, poismg, read_3d_binary, read_var_list, sort_particles, subjob, user_check_parameters, user_header, user_init_grid, user_parin, surface_coupler, temperton_fft, timestep, user_actions, user_data_output_dvrp, user_dvrp_coltab, user_init_grid, user_init_plant_canopy, user_parin, user_read_restart_data, user_spectra, write_var_list
 
 
Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 342)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 343)
@@ -391,7 +391,9 @@
     ELSEIF ( TRIM( coupling_mode ) == 'uncoupled'  .AND.  &
              TRIM( coupling_char ) == '_O' )  THEN
+
 !
 !--    Check whether an (uncoupled) atmospheric run has been declared as an
 !--    ocean run (this setting is done via mrun-option -y)
+
        message_string = 'ocean = .F. does not allow coupling_char = "' // &
                         TRIM( coupling_char ) // '" set by mrun-option "-y"'
Index: palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_2d.f90	(revision 342)
+++ palm/trunk/SOURCE/data_output_2d.f90	(revision 343)
@@ -8,4 +8,5 @@
 ! Bugfix: averaging along z is not allowed for 2d quantities (e.g. u* and z0)
 ! Output of messages replaced by message handling routine.
+! Output of user defined 2D (XY) arrays at z=nzb+1 is now possible
 !
 !
@@ -512,5 +513,5 @@
 !--             User defined quantity
                 CALL user_data_output_2d( av, do2d(av,if), found, grid, &
-                                          local_pf )
+                                          local_pf, two_d )
                 resorted = .TRUE.
 
@@ -519,4 +520,6 @@
                 ELSEIF ( grid == 'zw' )  THEN
                    IF ( mode == 'xy' )  level_z = zw
+                ELSEIF ( grid == 'zu1' ) THEN
+                   IF ( mode == 'xy' )  level_z(nzb+1) = zu(nzb+1)
                 ENDIF
 
Index: palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- palm/trunk/SOURCE/flow_statistics.f90	(revision 342)
+++ palm/trunk/SOURCE/flow_statistics.f90	(revision 343)
@@ -4,4 +4,6 @@
 ! Current revisions:
 ! -----------------
+! Added missing timeseries calculation of w"q"(0), moved timeseries q* to the
+! end.
 ! Temperature gradient criterion for estimating the boundary layer height
 ! replaced by the gradient criterion of Sullivan et al. (1998).
@@ -1025,5 +1027,5 @@
        ts_value(19,sr) = hom(nzb+1,1,pr_palm,sr)    ! u'w'    at k=0
        ts_value(20,sr) = hom(nzb+2,1,pr_palm,sr)    ! v'w'    at k=0
-       ts_value(21,sr) = hom(nzb+12,1,pr_palm,sr)   ! q*
+       ts_value(21,sr) = hom(nzb,1,48,sr)           ! w"q"    at k=0
 
        IF ( ts_value(5,sr) /= 0.0 )  THEN
@@ -1034,4 +1036,5 @@
        ENDIF
 
+       ts_value(23,sr) = hom(nzb+12,1,pr_palm,sr)   ! q*
 !
 !--    Calculate additional statistics provided by the user interface
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 342)
+++ palm/trunk/SOURCE/modules.f90	(revision 343)
@@ -3,6 +3,8 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
+! translation error of actual -> current revisions fixed
+! +q* in dots_label, dots_unit. increased dots_num respectively
 ! typographical error in dots_unit fixed
 ! +clip_dvrp_*, cluster_size, color_interval, dvrpsize_interval, dvrp_overlap,
@@ -824,5 +826,5 @@
                            replace_num = 6
 
-    INTEGER ::  dots_num = 22
+    INTEGER ::  dots_num = 23
 
     CHARACTER, DIMENSION( replace_num ) :: &
@@ -856,6 +858,6 @@
              'vmax   ', 'wmax   ', 'div_new', 'div_old', 'z_i_wpt', 'z_i_pt ', &
              'w*     ', 'w"pt"0 ', 'w"pt"  ', 'wpt    ', 'pt(0)  ', 'pt(zp) ', &
-             'w"u"0  ', 'w"v"0  ', 'w"q"0  ', 'mo_L   ',                       &
-             ( 'unknown', i9 = 1, 78) /)
+             'w"u"0  ', 'w"v"0  ', 'w"q"0  ', 'mo_L   ', 'q*     ',            &
+             ( 'unknown', i9 = 1, 77) /)
 
     CHARACTER (LEN=7), DIMENSION(dots_max) :: dots_unit = &
@@ -863,6 +865,6 @@
              'm/s    ', 'm/s    ', 's-1    ', 's-1    ', 'm      ', 'm      ', &
              'm/s    ', 'K m/s  ', 'K m/s  ', 'K m/s  ', 'K      ', 'K      ', &
-             'm2/s2  ', 'm2/s2  ', 'kg m/s ', 'm      ',                       &
-             ( 'unknown', i9 = 1, 78 ) /)
+             'm2/s2  ', 'm2/s2  ', 'kg m/s ', 'm      ', 'kg/kg  ',            &
+             ( 'unknown', i9 = 1, 77 ) /)
 
     CHARACTER (LEN=7), DIMENSION(300) ::  dopr_unit = 'unknown'
Index: palm/trunk/SOURCE/time_integration.f90
===================================================================
--- palm/trunk/SOURCE/time_integration.f90	(revision 342)
+++ palm/trunk/SOURCE/time_integration.f90	(revision 343)
@@ -116,5 +116,4 @@
 !--    Determine size of next time step
        IF ( simulated_time /= 0.0 )  CALL timestep
-
 !
 !--    Execute the user-defined actions
@@ -334,4 +333,5 @@
        IF ( coupling_mode /= 'uncoupled'  .AND.  run_coupled )  THEN
           time_coupling = time_coupling + dt_3d
+
 !
 !--       In case of model termination initiated by the local model 
Index: palm/trunk/SOURCE/timestep.f90
===================================================================
--- palm/trunk/SOURCE/timestep.f90	(revision 342)
+++ palm/trunk/SOURCE/timestep.f90	(revision 343)
@@ -55,5 +55,4 @@
     REAL, DIMENSION(2)         ::  uv_gtrans, uv_gtrans_l
     REAL, DIMENSION(nzb+1:nzt) ::  dxyz2_min
-
 
     CALL cpu_log( log_point(12), 'calculate_timestep', 'start' )
@@ -385,7 +384,5 @@
 
     ENDIF
-
     CALL cpu_log( log_point(12), 'calculate_timestep', 'stop' )
 
-
  END SUBROUTINE timestep
Index: palm/trunk/SOURCE/user_data_output_2d.f90
===================================================================
--- palm/trunk/SOURCE/user_data_output_2d.f90	(revision 342)
+++ palm/trunk/SOURCE/user_data_output_2d.f90	(revision 343)
@@ -1,3 +1,3 @@
- SUBROUTINE user_data_output_2d( av, variable, found, grid, local_pf )
+ SUBROUTINE user_data_output_2d( av, variable, found, grid, local_pf, two_d )
 
 !------------------------------------------------------------------------------!
@@ -29,5 +29,5 @@
     INTEGER ::  av, i, j, k
 
-    LOGICAL ::  found
+    LOGICAL ::  found, two_d
 
     REAL, DIMENSION(nxl-1:nxr+1,nys-1:nyn+1,nzb:nzt+1) ::  local_pf
@@ -64,4 +64,5 @@
 !          grid = 'zu'
 
+
        CASE DEFAULT
           found = .FALSE.
